Package org.eclipse.net4j.util.event

# Class EventPrinter

java.lang.Object
org.eclipse.net4j.util.event.EventPrinter

All Implemented Interfaces:
  `EventListener`, `IListener`

public class EventPrinter extends Object implements IListener

Since:
  3.6
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

`IListener.NotifierAware`

## Constructor Summary

Constructors
Constructor
Description
`EventPrinter()`
`EventPrinter(PrintStream stream)`

## Method Summary

Modifier and Type
Method
Description
`void`
`notifyEvent(IEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EventPrinter

public EventPrinter(PrintStream stream)

### EventPrinter

public EventPrinter()

## Method Details

### notifyEvent

public void notifyEvent(IEvent event)

Specified by:
  `notifyEvent` in interface `IListener`